installation error on venv dependencies.xml

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

installation error on venv dependencies.xml

Linda Bakker
Hi All,

I am having some problems with my tool dependencies to setup a python venv.

Dependencies.xml looks like this:



When i install my tool from the toolshed, it fails to install the venv dependency with this error message:



I am not sure what the problem exactly seems to be. os.py should be a default python package right or do i need to specify it in the dependencies file?
Can someone point me in the right direction of what the problem might be.

Thanks!

with regards ,
 Linda Bakker


-- 
Linda Bakker
Bioinformatics Research Assistant
Plant Research International, Wageningen UR
Building 107 (Radix), room W1.Fa.054
Droevendaalsesteeg 1, 6708 PB, Wageningen, The Netherlands
tel: +31-317-480756
email: [hidden email]

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: installation error on venv dependencies.xml

John Chilton-4
I'm sorry for the late response to this - I don't have any great advice regarding debugging these tool_dependencies.xml issues. I think those virtualenv tags are particularly brittle and I recommend switching to a more manual approach to Python dependencies if you are going to continue using tool_dependencies.xml - setting up packages for each Python package and referencing them the way say Macs2 does https://github.com/galaxyproject/tools-iuc/blob/master/tools/macs2/tool_dependencies.xml.

That said - the IUC and devteam have stopped writing tool_dependencies.xml files and have switch to Conda for all of our packaging. There is some documentation here:


Conda dependencies should be a bit more transparent - at least during this development stage.

-John
 

On Thu, Dec 22, 2016 at 2:36 AM, Linda Bakker <[hidden email]> wrote:
Hi All,

I am having some problems with my tool dependencies to setup a python venv.

Dependencies.xml looks like this:



When i install my tool from the toolshed, it fails to install the venv dependency with this error message:



I am not sure what the problem exactly seems to be. os.py should be a default python package right or do i need to specify it in the dependencies file?
Can someone point me in the right direction of what the problem might be.

Thanks!

with regards ,
 Linda Bakker


-- 
Linda Bakker
Bioinformatics Research Assistant
Plant Research International, Wageningen UR
Building 107 (Radix), room W1.Fa.054
Droevendaalsesteeg 1, 6708 PB, Wageningen, The Netherlands
tel: <a href="tel:+31%20317%20480%20756" value="+31317480756" target="_blank">+31-317-480756
email: [hidden email]

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/
Loading...